Subject: Re: Patch: [NET]: Remove CONFIG_PROC_FS depency for pcounter inuse

From: Eric Dumazet <[email-masked]>
Date: Sat, 01 Mar 2008 14:45:54 +0100

Oliver Hartkopp a écrit :
> Eric Dumazet wrote:
>> Oliver Hartkopp a écrit :
>>> It's not about the counter implementation but the integration/usage 
>>> in the networking subsystem.
>>>
>>> Or does your mentioned patch mean, that the added functions in 
>>> proto_[un|]register() will also be reverted?
>>>
>>
>> A patch will make inet use percpu_counter instead of pcounter.
>>
>> Then a zap patch will delete lib/pcounter.c & include/linux/pcounter.h
>>
>> I dont understand why you say CONFIG_PROC_FS is *forced*.
>> I can build a kernel with CONFIG_PROC_FS=n, with working INET.
> Right. With enabled CONFIG_EMBEDDED you might have CONFIG_INET with 
> CONFIG_PROC_FS=n.
> 
> But this is not the thing, i wanted to point out.
> 
> My major concern was, that "whatever-per-cpu-counters" are 
> allocated/initialized in "proto_register()" for *every* network protocol 
> but *only* IPv[4|6] is using these counters (when CONFIG_PROC_FS is set).
> 
> I just wanted to point out the situation for network protocols that do 
> not need any inuse counters. In the current implementation the pcounters 
> are allocated for every networking protocol in proto_register() which 
> does not look optimized to me.
> 
> Will this change with your patch that uses percpu_counter instead of 
> pcounter??
> 

Yes, everything will be cleaned by me.

We dont need to *optimize* something that will die very soon.

Thank you